// Matrix - algorithm simulation system
// Copyright (C) 2000- 2007 Matrix group
// (See the AUTHORS file and the author tag below for more information
// on the authors.)
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
package applications.trakla2.datalogging;




public class GradeData extends ExerciseData {
    static final long serialVersionUID = -6772618796351463430L;


    public String operationName() { return "grade"; }

    private StructureOperations studentSolution;

    public StructureOperations getStudentSolution() {
        return studentSolution;
    }
    public void setStudentSolution(StructureOperations structureOperations) {
        this.studentSolution = structureOperations;
    }



    private int grade;

    public int getGrade() {
        return grade;
    }

    public void setGrade(int _grade) {
        grade = _grade;
    }






    private int erroneousStepIndex;

    public int getErroneousStepIndex() {
        return erroneousStepIndex;
    }

    public void setErroneousStepIndex(int _erroneousStepIndex) {
        erroneousStepIndex = _erroneousStepIndex;
    }


    public String toString() {
        StringBuffer buf = new StringBuffer();
        buf.append(super.toString());

        buf.append(";grade=");
        buf.append(getGrade()+"");

        buf.append(";fileName=");
        buf.append(getFileName());

        return buf.toString();

    }
}





