// Matrix - algorithm simulation system
// Copyright (C) 2000- 2007 Matrix group
// (See the AUTHORS file and the author tag below for more information
// on the authors.)
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
package applications.trakla2.datalogging;




public class ModelAnswerData extends ExerciseData {
 static final long serialVersionUID = -8676790841308586264L;

    public String operationName() { return "model_answer_closed"; }

    int[] animationStepIndices;

    /**
     * Get the value of animationStepIndices.
     * @return value of animationStepIndices.
     */
    public int[] getAnimationStepIndices() {
        return animationStepIndices;
    }

    /**
     * Set the value of animationStepIndices.
     * @param v  Value to assign to animationStepIndices.
     */
    public void setAnimationStepIndices(int[]  v) {
        this.animationStepIndices = v;
    }


    public String animationStepIndicesToString() {
        int[] steps = animationStepIndices;
        StringBuffer buf = new StringBuffer();
        String sep = "";
        for (int i = 0; i < steps.length; i++,sep=" ") {
            buf.append(sep);
            buf.append(steps[i]);
        }
        return buf.toString();
    }



    public String toString() {
        StringBuffer buf = new StringBuffer();
        buf.append(super.toString());

        buf.append(";animationStepIndices=");
        buf.append(animationStepIndicesToString());

        buf.append(";fileName=");
        buf.append(getFileName());


        return buf.toString();
    }


}






