// Matrix - algorithm simulation system
// Copyright (C) 2000- 2007 Matrix group
// (See the AUTHORS file and the author tag below for more information
// on the authors.)
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
package applications.trakla2.util;

import java.awt.FileDialog;
import java.awt.Frame;
import java.io.File;
import java.io.FileInputStream;
import java.io.ObjectInputStream;


import applications.trakla2.datalogging.SubmissionData;

public class SubmissionPayloadReader {
    public static void main(String args[]){
        FileDialog fd = new FileDialog(new Frame(),
                "Select file",
                FileDialog.LOAD);
        fd.setVisible(true);
        String fileName = fd.getDirectory() + fd.getFile();
        if (fileName == null)
            return;

        try {
            FileInputStream istream = new FileInputStream(new File(fileName));
            ObjectInputStream p = new ObjectInputStream(istream);
            SubmissionData data = (SubmissionData)p.readObject();

            
            Object payloads[] = data.getAvailablePayloads();
            for (int i=0; i<payloads.length; i++){
                System.out.println("Loaded: " + payloads[i]+"\n---");
            }
            istream.close();
            
        }
        catch (Exception e) {
            e.printStackTrace();
        }   
        
    }
}
