// Matrix - algorithm simulation system
// Copyright (C) 2000- 2007 Matrix group
// (See the AUTHORS file and the author tag below for more information
// on the authors.)
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
package content.interfaces;
/**
       By default buttons are laid out underneath each other. If there
       are a lot of button, it would be convinient set some buttons
       next to each other.<p>

       ButtonGroups interface makes it possible to makes the user interface
       arrange buttons in groups. In the following A and B belong to the
       same group and C, D and E in the same group.
       <pre>
       A B
       C D E
       </pre>

*/
public interface ButtonGroups {

    /**

       Returns an integer array that contains the indices of those
       buttons that start a new button group. In the preceding
       example buttonGroups should return an array of size 1 that
       contains 2.
     */
    public int[] buttonGroups();


}
