// Matrix - algorithm simulation system
// Copyright (C) 2000- 2007 Matrix group
// (See the AUTHORS file and the author tag below for more information
// on the authors.)
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

package prototype.ui;

import javax.swing.JFrame;

import matrix.animation.Animator;
import matrix.uitools.ComparisonPanel;
import matrix.uitools.StructurePanel;
import content.interfaces.ComparableExercise;

public class ComparisonFrame extends JFrame {


  public ComparisonFrame (Animator a, ComparableExercise ex) {
      super("Answer comparison");

      setBackground(StructurePanel.getBgColor());

      ComparisonPanel pan = new ComparisonPanel(a, ex);

      getContentPane().add(pan);
      //setExtendedState(MAXIMIZED_BOTH);
      pack();
  }

	private static final long serialVersionUID = -4278311020984667868L;

}

