// Matrix - algorithm simulation system
// Copyright (C) 2000- 2007 Matrix group
// (See the AUTHORS file and the author tag below for more information
// on the authors.)
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
package applications.previewapplet;

import javax.swing.JApplet;
import java.awt.Button;
import java.awt.event.*;

import matrix.util.configuration.MatrixConfiguration;


public class MatrixApplet extends JApplet {

    private static final long serialVersionUID = 7677574978451152206L;

    public void init() {
        
        MatrixConfiguration.setCodebaseURL(getCodeBase().toString());
        MatrixConfiguration.getInstance();
        
        Button launch = new Button("Launch Matrix applet in new window");
        launch.addActionListener(new ActionListener() {
            public void actionPerformed(ActionEvent evt) {
                launch();
            }
        });
        add(launch);        
    }
    
    void launch() {
        new AppletFrame().setVisible(true);
    }
    
}
