package content.exercises;

import content.interfaces.ConfigureVisualType;
import content.interfaces.JudgeBlocks;
import content.interfaces.ModelAnswerNames;
import content.interfaces.SimulationExerciseModel;
import matrix.util.Application;

public abstract class TracingExercise implements SimulationExerciseModel, 
ModelAnswerNames, ConfigureVisualType, JudgeBlocks {
    protected long seed = 1;
    
    protected Application app;
    
    public void setApplication(Application a) {
        app = a;
    }
    
    public Application getApplication() {
        return app;
    }
    
    public void setSeed(long v) {
        this.seed = v;
    }
    
    public long getSeed() {
        return seed;
    }
    
}
