// Matrix - algorithm simulation system
// Copyright (C) 2000- 2007 Matrix group
// (See the AUTHORS file and the author tag below for more information
// on the authors.)
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

/*$Id: MButton.java,v 1.9 2007/09/07 13:31:46 vkaravir Exp $*/

package content.exercises.components;

import java.awt.Button;
import java.awt.event.*;

import matrix.structures.FDT.FDT;


public class MButton extends Button implements FDT {
    private int pressCount;

    public MButton(String S) {
	super(S);
	pressCount = 0;
	this.addActionListener(new ActionListener() { 
		public void actionPerformed(ActionEvent e) {
		    pressCount++; 
		    System.out.println(pressCount);
		}});
    }

    public Object getElement() {
	
	return new Object();
    }
    
    public void setElement(Object o) {
    }

    public int getCount() { return pressCount; }
    public void setCount(int c) { pressCount = c; }


    static final long serialVersionUID = -2519691836994241144L;   
}
