// Matrix - algorithm simulation system
// Copyright (C) 2000- 2007 Matrix group
// (See the AUTHORS file and the author tag below for more information
// on the authors.)
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

/*$Id: MultipleChoiceExercise.java,v 1.2 2007/09/07 13:41:49 vkaravir Exp $*/

package content.interfaces;

/**
 * Interface for exercises with multiple choice questions.
 * Probably needs more methods to work correctly. More will be
 * added later on.
 *
 * @author Jussi Nikander
 */

public interface MultipleChoiceExercise extends Exercise {

    /**
     * Returns the right answers for the questions.
     * @return an int array containing the right answers
     */
    public int[] getModelAnswer();

    /**
     * Returns the user's answers to the questions.
     * @return an int array containing the user's answers
     */
    public int[] getUserAnswer();

    static final long serialVersionUID = 4543648872571265893L;
}
